Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Bleadperl v5.25.6-260-ga65dc09 breaks DCONWAY/IO-Prompt-0.997003.tar.gz #15722

Closed
p5pRT opened this issue Nov 17, 2016 · 9 comments
Closed

Bleadperl v5.25.6-260-ga65dc09 breaks DCONWAY/IO-Prompt-0.997003.tar.gz #15722

p5pRT opened this issue Nov 17, 2016 · 9 comments
Labels

Comments

@p5pRT
Copy link

@p5pRT p5pRT commented Nov 17, 2016

Migrated from rt.perl.org#130126 (status was 'resolved')

Searchable as RT130126$

@p5pRT
Copy link
Author

@p5pRT p5pRT commented Nov 17, 2016

From @andk

bisect


a65dc09 is the first bad commit
commit a65dc09
Author​: Karl Williamson <khw@​cpan.org>
Date​: Mon Nov 14 22​:52​:45 2016 +0100

  Finish removing POSIX deprecated fcns
 
  Commit 47ed9d9 removed various
  deprecated functions, as scheduled in this release, but failed to
  include everything that should have gotten removed.
 
  Spotted by Abigail.

diagnostics


t/00.load.t ....... 1/1
# Failed test 'use IO​::Prompt;'
# at t/00.load.t line 4.
# Tried to use 'IO​::Prompt'.
# Error​: "isprint" is not exported by the POSIX module
# Can't continue after import errors at /home/sand/src/perl/repoperls/installed-perls/perl/v5.25.6-260-ga65dc09/109d/lib/5.25.7/x86_64-linux-thread-multi-ld/POSIX.pm line 192.
# BEGIN failed--compilation aborted at /tmp/loop_over_bdir-21802-ZQMYws/IO-Prompt-0.997003-0/blib/lib/IO/Prompt.pm line 16.
# Compilation failed in require at t/00.load.t line 4.
# BEGIN failed--compilation aborted at t/00.load.t line 4.
# Testing IO​::Prompt
# Looks like you failed 1 test of 1.
t/00.load.t ....... Dubious, test returned 1 (wstat 256, 0x100)
Failed 1/1 subtests

perl -V


Summary of my perl5 (revision 5 version 25 subversion 7) configuration​:
  Derived from​: a65dc09
  Platform​:
  osname=linux
  osvers=4.7.0-1-amd64
  archname=x86_64-linux-thread-multi-ld
  uname='linux k83 4.7.0-1-amd64 #1 smp debian 4.7.8-1 (2016-10-19) x86_64 gnulinux '
  config_args='-Dprefix=/home/sand/src/perl/repoperls/installed-perls/perl/v5.25.6-260-ga65dc09/109d -Dmyhostname=k83 -Dinstallusrbinperl=n -Uversiononly -Dusedevel -des -Ui_db -Dlibswanted=cl pthread socket inet nsl gdbm dbm malloc dl ld sun m crypt sec util c cposix posix ucb BSD gdbm_compat -Duseithreads -Duselongdouble -DDEBUGGING=-g'
  hint=recommended
  useposix=true
  d_sigaction=define
  useithreads=define
  usemultiplicity=define
  use64bitint=define
  use64bitall=define
  uselongdouble=define
  usemymalloc=n
  bincompat5005=undef
  Compiler​:
  cc='cc'
  ccflags ='-D_REENTRANT -D_GNU_SOURCE -fwrapv -fno-strict-aliasing -pipe -fstack-protector-strong -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64'
  optimize='-O2 -g'
  cppflags='-D_REENTRANT -D_GNU_SOURCE -fwrapv -fno-strict-aliasing -pipe -fstack-protector-strong -I/usr/local/include'
  ccversion=''
  gccversion='6.2.0 20160830'
  gccosandvers=''
  intsize=4
  longsize=8
  ptrsize=8
  doublesize=8
  byteorder=12345678
  doublekind=3
  d_longlong=define
  longlongsize=8
  d_longdbl=define
  longdblsize=16
  longdblkind=3
  ivtype='long'
  ivsize=8
  nvtype='long double'
  nvsize=16
  Off_t='off_t'
  lseeksize=8
  alignbytes=16
  prototype=define
  Linker and Libraries​:
  ld='cc'
  ldflags =' -fstack-protector-strong -L/usr/local/lib'
  libpth=/usr/local/lib /usr/lib/gcc/x86_64-linux-gnu/6/include-fixed /usr/include/x86_64-linux-gnu /usr/lib /lib/x86_64-linux-gnu /lib/../lib /usr/lib/x86_64-linux-gnu /usr/lib/../lib /lib
  libs=-lpthread -lnsl -lgdbm -ldl -lm -lcrypt -lutil -lc -lgdbm_compat
  perllibs=-lpthread -lnsl -ldl -lm -lcrypt -lutil -lc
  libc=libc-2.24.so
  so=so
  useshrplib=false
  libperl=libperl.a
  gnulibc_version='2.24'
  Dynamic Linking​:
  dlsrc=dl_dlopen.xs
  dlext=so
  d_dlsymun=undef
  ccdlflags='-Wl,-E'
  cccdlflags='-fPIC'
  lddlflags='-shared -O2 -g -L/usr/local/lib -fstack-protector-strong'

Characteristics of this binary (from libperl)​:
  Compile-time options​:
  HAS_TIMES
  MULTIPLICITY
  PERLIO_LAYERS
  PERL_COPY_ON_WRITE
  PERL_DONT_CREATE_GVSV
  PERL_HASH_FUNC_ONE_AT_A_TIME_HARD
  PERL_IMPLICIT_CONTEXT
  PERL_MALLOC_WRAP
  PERL_OP_PARENT
  PERL_PRESERVE_IVUV
  PERL_USE_DEVEL
  USE_64_BIT_ALL
  USE_64_BIT_INT
  USE_ITHREADS
  USE_LARGE_FILES
  USE_LOCALE
  USE_LOCALE_COLLATE
  USE_LOCALE_CTYPE
  USE_LOCALE_NUMERIC
  USE_LOCALE_TIME
  USE_LONG_DOUBLE
  USE_PERLIO
  USE_PERL_ATOF
  USE_REENTRANT_API
  Locally applied patches​:
  uncommitted-changes
  Built under linux
  Compiled at Nov 17 2016 23​:02​:07
  @​INC​:
  /home/sand/src/perl/repoperls/installed-perls/perl/v5.25.6-260-ga65dc09/109d/lib/site_perl/5.25.7/x86_64-linux-thread-multi-ld
  /home/sand/src/perl/repoperls/installed-perls/perl/v5.25.6-260-ga65dc09/109d/lib/site_perl/5.25.7
  /home/sand/src/perl/repoperls/installed-perls/perl/v5.25.6-260-ga65dc09/109d/lib/5.25.7/x86_64-linux-thread-multi-ld
  /home/sand/src/perl/repoperls/installed-perls/perl/v5.25.6-260-ga65dc09/109d/lib/5.25.7
  .

--
andreas

@p5pRT
Copy link
Author

@p5pRT p5pRT commented Nov 19, 2016

From @khwilliamson

I don't know what to do about this. The module uses a now removed function. And it says in the module description

"STATUS ^

This module is no longer being maintained.

Use the IO​::Prompter module instead."

So the module itself is obsolete, and has a bunch of tickets in its queue. It seems to me that maybe cpan smoking should skip this module

--
Karl Williamson

@p5pRT
Copy link
Author

@p5pRT p5pRT commented Nov 19, 2016

The RT System itself - Status changed from 'new' to 'open'

@p5pRT
Copy link
Author

@p5pRT p5pRT commented Nov 19, 2016

From @andk

On Sat, 19 Nov 2016 08​:11​:36 -0800, "Karl Williamson via RT" <perlbug-followup@​perl.org> said​:

  > I don't know what to do about this. The module uses a now removed function. And it says in the module description
  > "STATUS ^

  > This module is no longer being maintained.

  > Use the IO​::Prompter module instead."

  > So the module itself is obsolete, and has a bunch of tickets in its
  > queue. It seems to me that maybe cpan smoking should skip this
  > module

- first of all I'm sorry, I didn't know about the half-deprecation; I
  have now removed the module from my smoker, but this is not a
  guarantee that it won't reappear as a depencency;

- 31 reverse dependencies indicate that this is very likely​:
  https://metacpan.org/requires/distribution/IO-Prompt?p=1&size=500&sort=[[2%2C1]]

- what is the best way to spread the word about the deprecation? Up to
  the v5.25.6-260-ga65dc09 there was no pressure, now there is;

--
andreas

@p5pRT
Copy link
Author

@p5pRT p5pRT commented Nov 22, 2016

From @eserte

Dana Sat, 19 Nov 2016 09​:08​:16 -0800, andreas.koenig.7os6VVqR@​franz.ak.mind.de reče​:

On Sat, 19 Nov 2016 08​:11​:36 -0800, "Karl Williamson via RT"
<perlbug-followup@​perl.org> said​:

I don't know what to do about this. The module uses a now removed
function. And it says in the module description
"STATUS ^

This module is no longer being maintained.

Use the IO​::Prompter module instead."

So the module itself is obsolete, and has a bunch of tickets in its
queue. It seems to me that maybe cpan smoking should skip this
module

- first of all I'm sorry, I didn't know about the half-deprecation; I
have now removed the module from my smoker, but this is not a
guarantee that it won't reappear as a depencency;

- 31 reverse dependencies indicate that this is very likely​:
https://metacpan.org/requires/distribution/IO-
Prompt?p=1&size=500&sort=[[2%2C1]]

- what is the best way to spread the word about the deprecation? Up to
the v5.25.6-260-ga65dc09 there was no pressure, now there is;

A CPAN RT ticket exists now​:
https://rt.cpan.org/Ticket/Display.html?id=118893

@p5pRT
Copy link
Author

@p5pRT p5pRT commented Nov 24, 2016

From @eserte

Dana Mon, 21 Nov 2016 22​:12​:42 -0800, slaven@​rezic.de reče​:

Dana Sat, 19 Nov 2016 09​:08​:16 -0800,
andreas.koenig.7os6VVqR@​franz.ak.mind.de reče​:

On Sat, 19 Nov 2016 08​:11​:36 -0800, "Karl Williamson via RT"
<perlbug-followup@​perl.org> said​:

I don't know what to do about this. The module uses a now removed
function. And it says in the module description
"STATUS ^

This module is no longer being maintained.

Use the IO​::Prompter module instead."

So the module itself is obsolete, and has a bunch of tickets in its
queue. It seems to me that maybe cpan smoking should skip this
module

- first of all I'm sorry, I didn't know about the half-deprecation; I
have now removed the module from my smoker, but this is not a
guarantee that it won't reappear as a depencency;

- 31 reverse dependencies indicate that this is very likely​:
https://metacpan.org/requires/distribution/IO-
Prompt?p=1&size=500&sort=[[2%2C1]]

- what is the best way to spread the word about the deprecation? Up
to
the v5.25.6-260-ga65dc09 there was no pressure, now there is;

A CPAN RT ticket exists now​:
https://rt.cpan.org/Ticket/Display.html?id=118893

Related​: POSIX​::isdigit was also removed, and causes FAXMODEM/Test-Collectd-Plugins-0.1008.tar.gz to fail.

@p5pRT
Copy link
Author

@p5pRT p5pRT commented Nov 24, 2016

From @eserte

Dana Thu, 24 Nov 2016 12​:12​:40 -0800, slaven@​rezic.de reče​:

Dana Mon, 21 Nov 2016 22​:12​:42 -0800, slaven@​rezic.de reče​:

Dana Sat, 19 Nov 2016 09​:08​:16 -0800,
andreas.koenig.7os6VVqR@​franz.ak.mind.de reče​:

On Sat, 19 Nov 2016 08​:11​:36 -0800, "Karl Williamson via RT"
<perlbug-followup@​perl.org> said​:

I don't know what to do about this. The module uses a now
removed
function. And it says in the module description
"STATUS ^

This module is no longer being maintained.

Use the IO​::Prompter module instead."

So the module itself is obsolete, and has a bunch of tickets in
its
queue. It seems to me that maybe cpan smoking should skip this
module

- first of all I'm sorry, I didn't know about the half-deprecation;
I
have now removed the module from my smoker, but this is not a
guarantee that it won't reappear as a depencency;

- 31 reverse dependencies indicate that this is very likely​:
https://metacpan.org/requires/distribution/IO-
Prompt?p=1&size=500&sort=[[2%2C1]]

- what is the best way to spread the word about the deprecation? Up
to
the v5.25.6-260-ga65dc09 there was no pressure, now there is;

A CPAN RT ticket exists now​:
https://rt.cpan.org/Ticket/Display.html?id=118893

Related​: POSIX​::isdigit was also removed, and causes FAXMODEM/Test-
Collectd-Plugins-0.1008.tar.gz to fail.

A CPAN RT ticket for this one​:
https://rt.cpan.org/Ticket/Display.html?id=118947

@p5pRT
Copy link
Author

@p5pRT p5pRT commented Mar 20, 2017

From @iabyn

On Thu, Nov 24, 2016 at 12​:14​:53PM -0800, slaven@​rezic.de via RT wrote​:

Dana Thu, 24 Nov 2016 12​:12​:40 -0800, slaven@​rezic.de reče​:

Dana Mon, 21 Nov 2016 22​:12​:42 -0800, slaven@​rezic.de reče​:

Dana Sat, 19 Nov 2016 09​:08​:16 -0800,
andreas.koenig.7os6VVqR@​franz.ak.mind.de reče​:

On Sat, 19 Nov 2016 08​:11​:36 -0800, "Karl Williamson via RT"
<perlbug-followup@​perl.org> said​:

I don't know what to do about this. The module uses a now
removed
function. And it says in the module description
"STATUS ^

This module is no longer being maintained.

Use the IO​::Prompter module instead."

So the module itself is obsolete, and has a bunch of tickets in
its
queue. It seems to me that maybe cpan smoking should skip this
module

- first of all I'm sorry, I didn't know about the half-deprecation;
I
have now removed the module from my smoker, but this is not a
guarantee that it won't reappear as a depencency;

- 31 reverse dependencies indicate that this is very likely​:
https://metacpan.org/requires/distribution/IO-
Prompt?p=1&size=500&sort=[[2%2C1]]

- what is the best way to spread the word about the deprecation? Up
to
the v5.25.6-260-ga65dc09 there was no pressure, now there is;

A CPAN RT ticket exists now​:
https://rt.cpan.org/Ticket/Display.html?id=118893

IO-Prompt-0.997004 has now been released, which passes under blead.

Related​: POSIX​::isdigit was also removed, and causes FAXMODEM/Test-
Collectd-Plugins-0.1008.tar.gz to fail.

A CPAN RT ticket for this one​:
https://rt.cpan.org/Ticket/Display.html?id=118947

Collectd-Plugins-0.1009 has been released, which I can't test due to
dependencies (one requires an executable called 'yapp' which I don't have
installed), but the author's changelog implies that the new release fixes
this issue.

So I'll close this ticket.

--
It's not that I'm afraid to die, I just don't want to be there when it
happens.
  -- Woody Allen

@p5pRT
Copy link
Author

@p5pRT p5pRT commented Mar 20, 2017

@iabyn - Status changed from 'open' to 'resolved'

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
Linked pull requests

Successfully merging a pull request may close this issue.

None yet
1 participant